import { AxiosRequestConfig } from 'axios';
export declare enum RequestAPI {
    any = 0,
    axios = 1,
    fetch = 2
}
declare const request: <Query = any, Input = Query, Output = Input>(address?: string, method?: string, path?: string, token?: string, query?: Query | undefined, data?: Input | undefined, clearBaseURL?: boolean, page?: number, pageSize?: number, noCache?: boolean, addedHeaders?: any, replaceHeaders?: any, lastErrors?: any[], retry?: number, retryDelay?: number, errorsToRetry?: (number | string | Error | unknown)[], errorsToNotRetry?: (number | string | Error | unknown)[], minErrorCode?: number, maxErrorCode?: number, config?: AxiosRequestConfig, requestAPI?: RequestAPI, onlyPath?: boolean) => any;
export { request };
//# sourceMappingURL=index.d.ts.map